Bug 113218 - simple script causes expect to coredump
Summary: simple script causes expect to coredump
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tcltk   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 116726 116727
TreeView+ depends on / blocked
 
Reported: 2004-01-09 20:27 UTC by Dave Maley
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 15:58:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:309 normal SHIPPED_LIVE Updated expect and tcl/tk packages 2004-09-01 04:00:00 UTC
Red Hat Product Errata RHBA-2004:339 normal SHIPPED_LIVE Updated expect packages 2004-08-18 04:00:00 UTC

Description Dave Maley 2004-01-09 20:27:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
As reported in bug #58317 and #105038 (against RHL9) expect segfaults
if you do a wait before a close.  I've reproduced this here on my
RHEL3 box using the same script provided in BZ #58317.

BZ #58317 states that this is fixed in expect-5.39.0-93, and -95 is
available in rawhide, but no errata has been released for this problem.

Version-Release number of selected component (if applicable):
expect-5.38.0-92

How reproducible:
Always

Steps to Reproduce:
1. run the following script (script snatched from BZ #58317):

#!/usr/bin/expect -f
spawn false
wait -i $spawn_id

Actual Results:  Segmentation fault

Expected Results:  no seg fault

Additional info:

Comment 6 Jay Turner 2004-08-17 15:58:58 UTC
Fix confirmed with expect-5.38.0-92.2.

Comment 7 Jay Turner 2004-09-02 03:04:05 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-309.html



Note You need to log in before you can comment on or make changes to this bug.